Name:           emacs-auctex
Version:        13.2
Release:        2
Summary:        AUC TeX: An Emacs Extension
License:        GPL-3.0-or-later and GPL-3.0-only
URL:            http://www.gnu.org/software/auctex/
Source0:        http://ftp.gnu.org/pub/gnu/auctex/auctex-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  emacs tex(latex) texinfo-tex ghostscript

Requires:       emacs(bin) >= %{_emacs_version} ghostscript dvipng tex(latex) tex(dvips)
Requires(pre):  info
Requires(post): info

Provides:       emacs-auctex-el = %{version}-%{release} tex-preview = %{version}-%{release}
Provides:       tex(preview.sty) tetex-preview texlive-preview
Obsoletes:      emacs-auctex-el <= 11.86-9 tex-preview < %{version}-%{release}
Obsoletes:      tetex-preview texlive-preview <= 7:svn44883

%description
These macros make it easier for you to write TeX documents with GNU
Emacs.Documentation can be found under:

/usr/share/doc/packages/emacs-auctex/

and in the dvi files math-ref.dvi and tex-ref.dvi (reference cards) and
in the info file auctex in emacs info-mode.

AuC TeX is integrated in XEmacs 19.15 and higher, so these packages may
not be installed concurrently.Note that the binary formats of the
byte-compiled lisp files of the two emacs editors are incompatible, so
you cannot use this package for XEmacs.

%package help
Summary:        Help document file of the emacs-auctex package
License:        GFDL-1.1-or-later and GFDL-1.3-or-later
Provides:       %{name}-doc = %{version}-%{release}
Obsoletes:      %{name}-doc < %{version}-%{release}

%description help
Help document file of the emacs-auctex package.

%prep
%autosetup -n auctex-%{version} -p1

%build
%configure --with-emacs --with-texmf-dir=%{_datadir}/texlive/texmf-dist \
           --with-lispdir=%{_datadir}/emacs/site-lisp

%make_build

cd doc
make extradist
cd -

%install
install -d %{buildroot}%{_emacs_sitestartdir}
%make_install

install -d %{buildroot}%{_emacs_sitestartdir}/auctex
install -d %{buildroot}%{_emacs_sitestartdir}/auctex/style

touch %{buildroot}%{_emacs_sitelispdir}/auctex/{.nosearch,style/.nosearch}

%post
/sbin/install-info %{_infodir}/auctex.info %{_infodir}/dir 2>/dev/null || :
/sbin/install-info %{_infodir}/preview-latex.info %{_infodir}/dir 2>/dev/null || :
/usr/bin/texhash > /dev/null 2>&1 || :

%preun
if [ $1 -eq 0 ]; then
  /sbin/install-info --delete %{_infodir}/auctex.info %{_infodir}/dir 2>/dev/null || :
  /sbin/install-info --delete %{_infodir}/preview-latex.info %{_infodir}/dir 2>/dev/null || :
fi
/usr/bin/texhash > /dev/null 2>&1 || :

%files
%doc COPYING README TODO FAQ CHANGES RELEASE
%doc %{_infodir}/*.info*
%dir %{_emacs_sitelispdir}/auctex
%dir %{_emacs_sitelispdir}/auctex/style
%{_emacs_sitestartdir}/*
%{_emacs_sitelispdir}/auctex/{*.el,*.elc}
%{_emacs_sitelispdir}/auctex/style/{*.el,*.elc}
%{_emacs_sitelispdir}/auctex/{.nosearch,style/.nosearch,images}
%{_emacs_sitelispdir}/tex-site.el
%{_datadir}/texlive/texmf-dist/tex/latex/preview
%{_datadir}/texlive/texmf-dist/doc/latex/styles
%exclude %{_infodir}/dir
%exclude %{_var}/*
%exclude %{_docdir}/auctex

%files help
%doc doc/*.{dvi,ps,pdf}
%doc doc/html

%changelog
* Fri Jul 19 2024 yaoxin <yao_xin001@hoperun.com> - 13.2-2
- License compliance rectification

* Thu Oct 19 2023 Ge Wang <wang__ge@126.com> - 13.2-1
- Update to 13.2

* Fri Jul 08 2022 zhaomengmeng <zhaomengmeng@kylinos.cn> - 13.1-1
- Upgrade to 13.1

* Thu Apr 28 2022 wangyueliang <wangyueliang@kylinos.cn> - 12.3-2
- Improve the project according to the requirements of compliance improvement.

* Wed Feb 10 2021 maminjie <maminjie1@huawei.com> - 12.3-1
- Upgrade to 12.3

* Tue Mar 17 2020 yanzhihua <yanzhihua4@huawei.com> - 12.1-8
- Fix compile error

* Mon Dec 02 2019 dingyiming <dingyiming3@huawei.com> - 12.1-7
- Package init
